//服务启动主入口
// const pgRouter = require("./DataBase/Postgresql/router/pgrouter.js")

const DemoRouter = require("./jiance-dataserver/router/router.js");
const uploadRouter = require("./jiance-dataUpload/router/router.js");
const EchartRouter = require("./jiance-echartServer/router/router.js");
const SpaceInformatizationRouter = require("./SpaceInformatizationServer/router.js");
const ResourcemanagementServer = require("./ResourcemanagementServer/router.js");
const ResourceuploadServer = require("./uploadServer/upload.js");
const yanyilianxiServer = require("./yanyilianxiServer/router.js");
const RouteroamServer = require("./RouteroamServer/router.js");
const gltfdataServer = require("./gltfdataServer/router.js");
const UserinformationServer = require("./UserinformationServer/router.js");
const UserManageServer = require("./UserManageServer/router.js");
const UserDailyServer = require("./UserDailyServer/router.js");
const pianguanPOIServer = require("./pianguanPOIServer/router.js");

const express = require("express");

const fileaddres = require("./staticFile/fileaddres.js");

function startServer(app) {
  // pg数据库 路由
  // app.use(`/base`, pgRouter);

  // demo 路由
  // 使用的话：是http:localhost:8006/us/demo/你在router里面写的一个个的路径
  app.use("/us/demo", DemoRouter);

  app.use(`/EchartRouter`, EchartRouter);

  app.use(`/uploadRouter`, uploadRouter);

  app.use(`/SpaceInformatization`, SpaceInformatizationRouter);

  app.use(`/ResourcemanagementServer`, ResourcemanagementServer);

  app.use(`/ResourceuploadServer`, ResourceuploadServer);

  app.use(`/yanyilianxiServer`, yanyilianxiServer);

  app.use(`/UserinformationServer`, UserinformationServer);

  app.use(`/UserManageServer`, UserManageServer);

  app.use(`/RouteroamServer`, RouteroamServer);

  app.use(`/gltfdataServer`, gltfdataServer);

  app.use(`/UserDailyServer`, UserDailyServer);

  app.use(`/pianguanPOIServer`, pianguanPOIServer);

  app.use(
    `/pdfdataDWG`,
    express.static(`${u_config.pdfbase.fileaddres.datadiskpath}`)
  );
}

module.exports = startServer;
