const pgClient = require("../DataBase/Postgresql/pgClient.js"); //pg 查询引擎
const sqlUtil = require("./sqlUtil.js");
const tableColumnList = require("./tableColumnConfig.js");   //字典表
const fs = require('fs')
const path = require('path')

// 通用 getALLlist
function getALLlist(req, res) {
  // 根据req 制作sql字符串
  let sql = sqlUtil.getALLlist(req);

  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    let tableallList = []
    let alltablelist = tableColumnList.list;//拿到所有的表头名字
    //  所有的表头名和拿回来的数据的表头名对比
    for (let i = 0; i < alltablelist.length; i++) {
      let obj = alltablelist[i], num = obj.prop, colmname = obj.propname;
      // 拿回来的数据表头名
      for (let j = 0; j < data.fields.length; j++) {
        let aj = data.fields[j].name, tablenameObj = {};
        //如果detime对应匹配
        if (aj == num) {
          tablenameObj["prop"] = num || n;
          tablenameObj["propname"] = colmname;//过去
          tableallList.push(tablenameObj);
        }
      }
    }
    data.propname = []
    data.propname.push(tableallList)
    // console.log(tableColumnList);
    // console.log(data);
    res.send(data);
  });
}
function getEditlist(req, res) {
  // 根据req 制作sql字符串
  let sql = sqlUtil.getEditlist(req);

  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    let tableallList = []
    let alltablelist = tableColumnList.list;//拿到所有的表头名字
    //  所有的表头名和拿回来的数据的表头名对比
    for (let i = 0; i < alltablelist.length; i++) {
      let obj = alltablelist[i], num = obj.prop, colmname = obj.propname;
      // 拿回来的数据表头名
      for (let j = 0; j < data.fields.length; j++) {
        let aj = data.fields[j].name, tablenameObj = {};
        //如果detime对应匹配
        if (aj == num) {
          tablenameObj["prop"] = num || n;
          tablenameObj["propname"] = colmname;//过去
          tableallList.push(tablenameObj);
        }
      }
    }
    data.propname = []
    data.propname.push(tableallList)
    // console.log(tableColumnList);
    // console.log(data);
    res.send(data);
  });
}
function addSourceimage(req, res) {
  // 根据req 制作sql字符串
  let sql = sqlUtil.addSourceimage(req);

  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}
// 按名称查询
function queryServerSql(req, res) {
  // 根据req 制作sql字符串
  let sql = sqlUtil.querynameServerSql(req);

  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}

function deleteResource(tablename, fields, res) {


  let sql = sqlUtil.batchremove(tablename, fields);
  // 执行sql语句，并返回数据
  pgClient.query(sql).then(data => {

    res.send(data);
  })
}
function getPoint(req, res) {
  // 根据req 制作sql字符串
  let sql = sqlUtil.getPoint(req);

  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}
function editchange(req, res) {
  // 根据req 制作sql字符串
  let sql = sqlUtil.editchange(req);

  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}
function selectsearch(req, res) {
  // 根据req 制作sql字符串
  let sql = sqlUtil.selectsearch(req);

  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    let tableallList = []
    let alltablelist = tableColumnList.list;//拿到所有的表头名字
    //  所有的表头名和拿回来的数据的表头名对比
    for (let i = 0; i < alltablelist.length; i++) {
      let obj = alltablelist[i], num = obj.prop, colmname = obj.propname;
      // 拿回来的数据表头名
      for (let j = 0; j < data.fields.length; j++) {
        let aj = data.fields[j].name, tablenameObj = {};
        //如果detime对应匹配
        if (aj == num) {
          tablenameObj["prop"] = num || n;
          tablenameObj["propname"] = colmname;//过去
          tableallList.push(tablenameObj);
        }
      }
    }
    data.propname = []
    data.propname.push(tableallList)
    res.send(data);
  });
}
function sourcedetele(req, res) {
  // 根据req 制作sql字符串
  let sql = sqlUtil.sourcedetele(req);

  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}
function likeSearch(req, res) {
  // 根据req 制作sql字符串
  let sql = sqlUtil.likeSearch(req);

  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}

module.exports = {
  getALLlist,
  addSourceimage,
  queryServerSql,
  deleteResource,
  getPoint,
  getEditlist,
  editchange,
  selectsearch,
  sourcedetele,
  likeSearch,
};