const express = require("express");
const router = express.Router();
const multer = require("multer");
var uploads = multer({
    dest: '../../upload'
});
var xlsx = require('node-xlsx');
var fs = require("fs");
var path = require("path");
const con = require("../common/commonFun.js")
// 静态检测上传 CheZaiYi
router.post('/JingTaiJC', uploads.single('file'), async function (req, res) {
    var pash = path.extname(req.file.originalname)
    fs.renameSync(req.file.path, req.file.path + pash, (err) => {})
    var {
        data
    } = xlsx.parse(req.file.path + pash)[0]
    data.splice(0, 1)
    console.log(data);
    const table = "t_cj_jtjc";
    const myDate = Date.parse(new Date());
    const time = myDate/1000;
    debugger;
    data.forEach(item => {
        con.addJingTaiJCAll(table, item, res, time);      
    })
    const tableName = "JingTaiJC";
    const fileName = req.file.originalname;    
    con.addJingTaiJCFlies(tableName, fileName, res, time); 
    res.json({
        code: 200,
        msg: '批量导入成功'
    })
})

// 车载仪上传 
router.post('/CheZaiYi', uploads.single('file'), async function (req, res) {
    var pash = path.extname(req.file.originalname)
    fs.renameSync(req.file.path, req.file.path + pash, (err) => {})
    var {
        data
    } = xlsx.parse(req.file.path + pash)[0]
    data.splice(0, 1)
    console.log(data);
    const table = "t_cj_czy"; // 需要修改为对应上传的数据表名称
    const myDate = Date.parse(new Date());
    const time = myDate/1000;
    debugger;
    data.forEach(item => {
        con.addCheZaiYiAll(table, item, res, time);      // 需要新建数据上传的方法 根据展示字段和excel确定
    })
    const tableName = "CheZaiYi"; // 需要修改为对应上传的数据表地址名称作为条件
    const fileName = req.file.originalname;    
    con.addJingTaiJCFlies(tableName, fileName, res, time); 
    res.json({
        code: 200,
        msg: '批量导入成功'
    })
})
// 算法输出上传
router.post('/SuanFaSC', uploads.single('file'), async function (req, res) {
    var pash = path.extname(req.file.originalname)
    fs.renameSync(req.file.path, req.file.path + pash, (err) => {})
    var {
        data
    } = xlsx.parse(req.file.path + pash)[0]
    data.splice(0, 1)
    console.log(data);
    const table = "t_cj_sxjg"; // 需要修改为对应上传的数据表名称
    const myDate = Date.parse(new Date());
    const time = myDate/1000;
    debugger;
    data.forEach(item => {
        con.addSuanFaSCAll(table, item, res, time);      // 需要新建数据上传的方法 根据展示字段和excel确定
    })
    const tableName = "SuanFaSC"; // 需要修改为对应上传的数据表地址名称作为条件
    const fileName = req.file.originalname;    
    con.addJingTaiJCFlies(tableName, fileName, res, time); 
    res.json({
        code: 200,
        msg: '批量导入成功'
    })
})
// 轮轨力上传
router.post('/LunGuiLi', uploads.single('file'), async function (req, res) {
    var pash = path.extname(req.file.originalname)
    fs.renameSync(req.file.path, req.file.path + pash, (err) => {})
    var {
        data
    } = xlsx.parse(req.file.path + pash)[0]
    data.splice(0, 1)
    console.log(data);
    const table = "t_lgl_bx"; // 需要修改为对应上传的数据表名称
    const myDate = Date.parse(new Date());
    const time = myDate/1000;
    debugger;
    data.forEach(item => {
        con.addLunGuiLiAll(table, item, res, time);      // 需要新建数据上传的方法 根据展示字段和excel确定
    })
    const tableName = "LunGuiLi"; // 需要修改为对应上传的数据表地址名称作为条件
    const fileName = req.file.originalname;    
    con.addJingTaiJCFlies(tableName, fileName, res, time); 
    res.json({
        code: 200,
        msg: '批量导入成功'
    })
})
// 轨道几何上传
router.post('/GuiDaoJh', uploads.single('file'), async function (req, res) {
    var pash = path.extname(req.file.originalname)
    fs.renameSync(req.file.path, req.file.path + pash, (err) => {})
    var {
        data
    } = xlsx.parse(req.file.path + pash)[0]
    data.splice(0, 1)
    console.log(data);
    const table = "t_dc_gdjh"; // 需要修改为对应上传的数据表名称
    const myDate = Date.parse(new Date());
    const time = myDate/1000;
    debugger;
    data.forEach(item => {
        con.addLunGuiLiAll(table, item, res, time);      // 需要新建数据上传的方法 根据展示字段和excel确定
    })
    const tableName = "GuiDaoJh"; // 需要修改为对应上传的数据表地址名称作为条件
    const fileName = req.file.originalname;    
    con.addJingTaiJCFlies(tableName, fileName, res, time); 
    res.json({
        code: 200,
        msg: '批量导入成功'
    })
})
// 轨道沉降趋势上传
router.post('/GuiDaoCj', uploads.single('file'), async function (req, res) {
    var pash = path.extname(req.file.originalname)
    fs.renameSync(req.file.path, req.file.path + pash, (err) => {})
    var {
        data
    } = xlsx.parse(req.file.path + pash)[0]
    data.splice(0, 1)
    console.log(data);
    const table = "t_cj_sxjg"; // 需要修改为对应上传的数据表名称
    const myDate = Date.parse(new Date());
    const time = myDate/1000;
    debugger;
    data.forEach(item => {
        con.addGuiDaoCjAll(table, item, res, time);      // 需要新建数据上传的方法 根据展示字段和excel确定
    })
    const tableName = "GuiDaoCj"; // 需要修改为对应上传的数据表地址名称作为条件
    const fileName = req.file.originalname;    
    con.addJingTaiJCFlies(tableName, fileName, res, time); 
    res.json({
        code: 200,
        msg: '批量导入成功'
    })
})
// 道岔评分上传
router.post('/DaoChaPf', uploads.single('file'), async function (req, res) {
    var pash = path.extname(req.file.originalname)
    fs.renameSync(req.file.path, req.file.path + pash, (err) => {})
    var {
        data
    } = xlsx.parse(req.file.path + pash)[0]
    data.splice(0, 1)
    console.log(data);
    const table = "t_dc_dcpf"; // 需要修改为对应上传的数据表名称
    const myDate = Date.parse(new Date());
    const time = myDate/1000;
    debugger;
    data.forEach(item => {
        con.addDaoChaPfAll(table, item, res, time);      // 需要新建数据上传的方法 根据展示字段和excel确定
    })
    const tableName = "DaoChaPf"; // 需要修改为对应上传的数据表地址名称作为条件
    const fileName = req.file.originalname;    
    con.addJingTaiJCFlies(tableName, fileName, res, time); 
    res.json({
        code: 200,
        msg: '批量导入成功'
    })
})
// 电务监测缺口数据
router.post('/DianWuJc', uploads.single('file'), async function (req, res) {
    var pash = path.extname(req.file.originalname)
    fs.renameSync(req.file.path, req.file.path + pash, (err) => {})
    var {
        data
    } = xlsx.parse(req.file.path + pash)[0]
    data.splice(0, 1)
    console.log(data);
    const table = "t_dc_dwjc_qksj"; // 需要修改为对应上传的数据表名称
    const myDate = Date.parse(new Date());
    const time = myDate/1000;
    debugger;
    data.forEach(item => {
        con.addDianWuJcAll(table, item, res, time);      // 需要新建数据上传的方法 根据展示字段和excel确定
    })
    const tableName = "DianWuJc"; // 需要修改为对应上传的数据表地址名称作为条件
    const fileName = req.file.originalname;    
    con.addJingTaiJCFlies(tableName, fileName, res, time); 
    res.json({
        code: 200,
        msg: '批量导入成功'
    })
})
// 接触网检测数据
router.post('/JieChuW', uploads.single('file'), async function (req, res) {
    var pash = path.extname(req.file.originalname)
    fs.renameSync(req.file.path, req.file.path + pash, (err) => {})
    var {
        data
    } = xlsx.parse(req.file.path + pash)[0]
    data.splice(0, 1)
    console.log(data);
    const table = "t_jcw_bx"; // 需要修改为对应上传的数据表名称
    const myDate = Date.parse(new Date());
    const time = myDate/1000;
    debugger;
    data.forEach(item => {
        con.addJieChuWAll(table, item, res, time);      // 需要新建数据上传的方法 根据展示字段和excel确定
    })
    const tableName = "JieChuW"; // 需要修改为对应上传的数据表地址名称作为条件
    const fileName = req.file.originalname;    
    con.addJingTaiJCFlies(tableName, fileName, res, time); 
    res.json({
        code: 200,
        msg: '批量导入成功'
    })
})
// 道岔台账数据
router.post('/DaoChaTz', uploads.single('file'), async function (req, res) {
    var pash = path.extname(req.file.originalname)
    fs.renameSync(req.file.path, req.file.path + pash, (err) => {})
    var {
        data
    } = xlsx.parse(req.file.path + pash)[0]
    data.splice(0, 1)
    console.log(data);
    const table = "t_tz_dc"; // 需要修改为对应上传的数据表名称
    const myDate = Date.parse(new Date());
    const time = myDate/1000;
    debugger;
    data.forEach(item => {
        con.addDaoChaTzAll(table, item, res, time);      // 需要新建数据上传的方法 根据展示字段和excel确定
    })
    const tableName = "DaoChaTz"; // 需要修改为对应上传的数据表地址名称作为条件
    const fileName = req.file.originalname;    
    con.addJingTaiJCFlies(tableName, fileName, res, time); 
    res.json({
        code: 200,
        msg: '批量导入成功'
    })
})
// 全局道岔台账数据
router.post('/QjDaoChaTz', uploads.single('file'), async function (req, res) {
    var pash = path.extname(req.file.originalname)
    fs.renameSync(req.file.path, req.file.path + pash, (err) => {})
    var {
        data
    } = xlsx.parse(req.file.path + pash)[0]
    data.splice(0, 1)
    console.log(data);
    const table = "t_tz_dc"; // 需要修改为对应上传的数据表名称
    const myDate = Date.parse(new Date());
    const time = myDate/1000;
    debugger;
    data.forEach(item => {
        con.addQjDaoChaTzAll(table, item, res, time);      // 需要新建数据上传的方法 根据展示字段和excel确定
    })
    const tableName = "QjDaoChaTz"; // 需要修改为对应上传的数据表地址名称作为条件
    const fileName = req.file.originalname;    
    con.addJingTaiJCFlies(tableName, fileName, res, time); 
    res.json({
        code: 200,
        msg: '批量导入成功'
    })
})
// 桥梁台账数据
router.post('/QiaoLiangTz', uploads.single('file'), async function (req, res) {
    var pash = path.extname(req.file.originalname)
    fs.renameSync(req.file.path, req.file.path + pash, (err) => {})
    var {
        data
    } = xlsx.parse(req.file.path + pash)[0]
    data.splice(0, 1)
    console.log(data);
    const table = "t_tz_ql"; // 需要修改为对应上传的数据表名称
    const myDate = Date.parse(new Date());
    const time = myDate/1000;
    debugger;
    data.forEach(item => {
        con.addQiaoLiangTzAll(table, item, res, time);      // 需要新建数据上传的方法 根据展示字段和excel确定
    })
    const tableName = "QiaoLiangTz"; // 需要修改为对应上传的数据表地址名称作为条件
    const fileName = req.file.originalname;    
    con.addJingTaiJCFlies(tableName, fileName, res, time); 
    res.json({
        code: 200,
        msg: '批量导入成功'
    })
})
// 隧道台账数据
router.post('/SuiDaoTz', uploads.single('file'), async function (req, res) {
    var pash = path.extname(req.file.originalname)
    fs.renameSync(req.file.path, req.file.path + pash, (err) => {})
    var {
        data
    } = xlsx.parse(req.file.path + pash)[0]
    data.splice(0, 1)
    console.log(data);
    const table = "t_tz_sd"; // 需要修改为对应上传的数据表名称
    const myDate = Date.parse(new Date());
    const time = myDate/1000;
    debugger;
    data.forEach(item => {
        con.addSuiDaoTzAll(table, item, res, time);      // 需要新建数据上传的方法 根据展示字段和excel确定
    })
    const tableName = "SuiDaoTz"; // 需要修改为对应上传的数据表地址名称作为条件
    const fileName = req.file.originalname;    
    con.addJingTaiJCFlies(tableName, fileName, res, time); 
    res.json({
        code: 200,
        msg: '批量导入成功'
    })
})
// 坡度台账数据
router.post('/PoDuTz', uploads.single('file'), async function (req, res) {
    var pash = path.extname(req.file.originalname)
    fs.renameSync(req.file.path, req.file.path + pash, (err) => {})
    var {
        data
    } = xlsx.parse(req.file.path + pash)[0]
    data.splice(0, 1)
    console.log(data);
    const table = "t_tz_pd"; // 需要修改为对应上传的数据表名称
    const myDate = Date.parse(new Date());
    const time = myDate/1000;
    debugger;
    data.forEach(item => {
        con.addPoDuTzAll(table, item, res, time);      // 需要新建数据上传的方法 根据展示字段和excel确定
    })
    const tableName = "PoDuTz"; // 需要修改为对应上传的数据表地址名称作为条件
    const fileName = req.file.originalname;    
    con.addJingTaiJCFlies(tableName, fileName, res, time); 
    res.json({
        code: 200,
        msg: '批量导入成功'
    })
})
// 沪蓉道台账数据
router.post('/HuRongDaoTz', uploads.single('file'), async function (req, res) {
    var pash = path.extname(req.file.originalname)
    fs.renameSync(req.file.path, req.file.path + pash, (err) => {})
    var {
        data
    } = xlsx.parse(req.file.path + pash)[0]
    data.splice(0, 1)
    console.log(data);
    const table = "t_tz_lrd"; // 需要修改为对应上传的数据表名称
    const myDate = Date.parse(new Date());
    const time = myDate/1000;
    debugger;
    data.forEach(item => {
        con.addHuRongDaoTzAll(table, item, res, time);      // 需要新建数据上传的方法 根据展示字段和excel确定
    })
    const tableName = "HuRongDaoTz"; // 需要修改为对应上传的数据表地址名称作为条件
    const fileName = req.file.originalname;    
    con.addJingTaiJCFlies(tableName, fileName, res, time); 
    res.json({
        code: 200,
        msg: '批量导入成功'
    })
})
// 道岔动态检测
router.post('/DongTaiJc', uploads.single('file'), async function (req, res) {
    var pash = path.extname(req.file.originalname)
    fs.renameSync(req.file.path, req.file.path + pash, (err) => {})
    var {
        data
    } = xlsx.parse(req.file.path + pash)[0]
    data.splice(0, 1)
    console.log(data);
    const table = "t_dc_dtglqx"; // 需要修改为对应上传的数据表名称
    const myDate = Date.parse(new Date());
    const time = myDate/1000;
    debugger;
    data.forEach(item => {
        con.addDongTaiJcAll(table, item, res, time);      // 需要新建数据上传的方法 根据展示字段和excel确定
    })
    const tableName = "DongTaiJc"; // 需要修改为对应上传的数据表地址名称作为条件
    const fileName = req.file.originalname;    
    con.addJingTaiJCFlies(tableName, fileName, res, time); 
    res.json({
        code: 200,
        msg: '批量导入成功'
    })
})
// 查询全部
router.post("/JingTaiJCList", function (req, res) {
    con.showAll(req, res);
})

// 查询全部
router.post("/JingTaiJCTable", function (req, res) {
    con.showTable(req, res);
})

// 查询全部
router.post("/JingTaiJCTime", function (req, res) {
    con.showTime(req, res);
})

module.exports = router